
angular.module('workflowModeler').controller('WorkflowCategoryCtrl', ['$rootScope', '$scope', function($rootScope, $scope) {

    if ($scope.property.value == undefined && $scope.property.value == null)
    {
	$scope.property.value = 'None';
    }

    $scope.ContentTypeChanged = function() {
        $scope.updatePropertyInModel($scope.property);
        var operation = $scope.selectedItem.properties[5].value;
        if($scope.property.value == "file") {
            hideOrShowFileProperties(operation);
        } else if($scope.property.value == "folder") {
            hideOrShowFolderProperties(operation);
        }
    };

    var hideOrShowFileProperties = function(operation) {
        for(var i = 0; i<$scope.selectedItem.properties.length; i++) {
            if(operation == "GET" || operation == "GET_CONTENT") {
                if($scope.selectedItem.properties[i].key == "oryx-fileid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-filename" ||
                        $scope.selectedItem.properties[i].key == "oryx-filedescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "CREATE") {
                if($scope.selectedItem.properties[i].key == "oryx-filename"
                    || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                    || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                    || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-folderid" || $scope.selectedItem.properties[i].key == "oryx-fileid") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "UPDATE") {
                if($scope.selectedItem.properties[i].key == "oryx-filename"
                    || $scope.selectedItem.properties[i].key == "oryx-fileid"
                    || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                    || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                        setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                            || $scope.selectedItem.properties[i].key == "oryx-filecontent") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "DELETE") {
                if($scope.selectedItem.properties[i].key == "oryx-fileid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-filename"
                        || $scope.selectedItem.properties[i].key == "oryx-filedescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid"
                        || $scope.selectedItem.properties[i].key == "oryx-fileid"
                        || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                        || $scope.selectedItem.properties[i].key == "oryx-aclid") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            }
            
            showHiddenProperties(i);

            //Hide all folder related fields when switch between both category and operation dropdowns.
            // There are chances, so we have to hide all folder related fields in File option.
            if($scope.selectedItem.properties[i].key == "oryx-foldername" ||
                $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                || $scope.selectedItem.properties[i].key == "oryx-folderid"){
                    setPropertyHiddenValue($scope.selectedItem.properties[i], true);
            }
        }
    };

    var hideOrShowFolderProperties = function(operation) {
        for(var i = 0; i<$scope.selectedItem.properties.length; i++) {
            if(operation == "GET" || operation == "GET_CONTENT") {
                if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-foldername" ||
                        $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                        || $scope.selectedItem.properties[i].key == "oryx-folderid"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "CREATE") {
                if($scope.selectedItem.properties[i].key == "oryx-foldername"
                    || $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                    || $scope.selectedItem.properties[i].key == "oryx-parentfolderid") {
                        setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "UPDATE") {
                if($scope.selectedItem.properties[i].key == "oryx-foldername"
                    || $scope.selectedItem.properties[i].key == "oryx-folderid"
                    || $scope.selectedItem.properties[i].key == "oryx-folderdescription") {
                        setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-parentfolderid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            } else if(operation == "DELETE") {
                if($scope.selectedItem.properties[i].key == "oryx-folderid") {
                    setPropertyHiddenValue($scope.selectedItem.properties[i], false);
                } else if($scope.selectedItem.properties[i].key == "oryx-foldername"
                        || $scope.selectedItem.properties[i].key == "oryx-folderdescription"
                        || $scope.selectedItem.properties[i].key == "oryx-parentfolderid") {
                            setPropertyHiddenValue($scope.selectedItem.properties[i], true);
                }
            }

            showHiddenProperties(i);

            // Hide all file related fields when switch between both category and operation dropdowns.
            // There are chances, so we have to hide all file related fields in "Folder" option.
            if($scope.selectedItem.properties[i].key == "oryx-filename" ||
                $scope.selectedItem.properties[i].key == "oryx-filedescription"
                || $scope.selectedItem.properties[i].key == "oryx-fileid"
                || $scope.selectedItem.properties[i].key == "oryx-filecontent"
                || $scope.selectedItem.properties[i].key == "oryx-filecontent"){
                    setPropertyHiddenValue($scope.selectedItem.properties[i], true);
            }
        }
    };

    var setPropertyHiddenValue = function(property, isHidden) {
        property.hidden = isHidden;
        property.value = isHidden == false ? property.value : "";
        $scope.updatePropertyInModel(property);
    }

    var showHiddenProperties = function(index) {
        var propertiesList = ["oryx-authenticationdetails",
                              "oryx-executiongroupheader",
                              "oryx-executionlisteners",
                              "oryx-responsevariablename",
                              "oryx-asynchronousdefinition",
                              "oryx-exclusivedefinition",
                              'oryx-multiintsancegroupheader',
                              "oryx-multiinstance_type",
                              "oryx-multiinstance_cardinality",
                              "oryx-multiinstance_collection",
                              "oryx-multiinstance_variable",
                              "oryx-multiinstance_condition",
                              "oryx-isforcompensation",
                              "oryx-skipexpression"];
        if (propertiesList.indexOf($scope.selectedItem.properties[index].key) != -1) {
          setPropertyHiddenValue($scope.selectedItem.properties[index], false);
        }
    };

    // Showing the props depening on the category and operation values when user click on shape again after some time.
    // When properties are in read mode.
    if($scope.property.value != "None") {
        var operation = $scope.selectedItem.properties[5].value;
        if($scope.property.value == "file") {
            hideOrShowFileProperties(operation);
        } else if($scope.property.value == "folder") {
            hideOrShowFolderProperties(operation);
        }
    }

}]);