
angular.module('workflowModeler').controller('WorkflowAuthenticationDetailsCtrl', ['$scope', '$modal', function ($scope, $modal) {

    // Config for the modal window
    var opts = {
        template: 'editor-app/configuration/properties/oauth2-details-popup.html',
        scope: $scope
    };

    // Open the dialog
    _internalCreateModal(opts, $modal, $scope);
}]);

angular.module('workflowModeler').controller('WorkflowAuthenticationDetailsPopupCtrl',
    ['$rootScope', '$scope', '$translate', function ($rootScope, $scope, $translate) {
        $scope.model = {};
        $scope.mandatoryFields = {};
        $scope.showInfo = "";
        if ($scope.property.value) {
            if ($scope.property.value.contentType) {
                $scope.model.contentType = $scope.property.value.contentType;
            }

            if ($scope.property.value.authenticationUrl) {
                $scope.model.authenticationUrl = $scope.property.value.authenticationUrl;
            }

            if ($scope.property.value.clientId) {
                $scope.model.clientId = $scope.property.value.clientId;
            }

            if ($scope.property.value.clientSecret) {
                $scope.model.clientSecret = $scope.property.value.clientSecret;
            }

            if ($scope.property.value.scope) {
                $scope.model.scope = $scope.property.value.scope;
            }

            if ($scope.property.value.clientData) {
                $scope.model.clientData = $scope.property.value.clientData;
            }

            if ($scope.property.value.grantType) {
                $scope.model.grantType = $scope.property.value.grantType;
            }

            if ($scope.property.value.username) {
                $scope.model.username = $scope.property.value.username;
            }

            if ($scope.property.value.password) {
                $scope.model.password = $scope.property.value.password;
            }

            if ($scope.property.value.redirectUri) {
                $scope.model.redirectUri = $scope.property.value.redirectUri;
            }

            if ($scope.property.value.code) {
                $scope.model.code = $scope.property.value.code;
            }

            $scope.model.useCurrentAuthToken = $scope.property.value.useCurrentAuthToken;
            
        }
        var vm=this;
        vm.hovertest=false;
        vm.showTip=false;
        vm.toggle=function(){
            vm.showTip = !vm.showTip;
        };
        if(($scope.selectedShape._stencil._jsonStencil.id.split("#"))[1] == "HttpTask") {
             $scope.showInfo = $translate.instant('PROPERTY.AUTHENTICATIONDETAILS.USE_CURRENT_AUTH_TOKEN_HTTP_INFO');
        } else {
            // Signature task and content task.
            $scope.showInfo = $translate.instant('PROPERTY.AUTHENTICATIONDETAILS.USE_CURRENT_AUTH_TOKEN_INFO');
        }
        
        //Close button handler
        $scope.close = function () {
            $scope.property.mode = 'read';
            $scope.$hide();
        };

        // Key press handler for close button
        $scope.closeOnKeyPress = function (event) {
            if (event.keyCode == 13 || event.keyCode == 32) {
                $scope.close();
            }
        };

        //Save button handler
        $scope.save = function() {
            $scope.property.value = {}
            if ($scope.model.useCurrentAuthToken) {
                $scope.property.value = {};
                $scope.property.value.useCurrentAuthToken = true;
            } else {

                var config = {};
                var model = $scope.model;
                if (model.contentType) {
                    config.contentType = model.contentType;
                }

                if (model.authenticationUrl) {
                    config.authenticationUrl = model.authenticationUrl;
                }

                if (model.clientId) {
                    config.clientId = model.clientId;
                }

                if (model.clientSecret) {
                    config.clientSecret = model.clientSecret;
                }

                if (model.scope) {
                    config.scope = model.scope;
                }

                if (model.clientData) {
                    config.clientData = model.clientData;
                }

                if (model.username) {
                    config.username = model.username;
                }

                if (model.password) {
                    config.password = model.password;
                }

                if (model.redirectUri) {
                    config.redirectURI = model.redirectUri;
                }

                if (model.code) {
                    config.code = model.code;
                }

                if (model.grantType) {
                    config.grantType = model.grantType;
                }

                if (Object.keys(config).length === 0)  {
                    delete $scope.property.value;
                } else {
                    config.useCurrentAuthToken = false;
                    $scope.property.value = config;
                }

            }
            
            $scope.updatePropertyInModel($scope.property);
            $scope.close();
        }

        $scope.togglePassword = function (event) {
            var ref = ($scope.mandatoryFields.passwordField)[0];
            //var passwordField = window.rootEle.querySelector('.password-field');
            if(ref.getAttribute('type') === 'password') {
                ref.setAttribute('type', 'text');
                event.target.removeClassName("ot-icon-password_hide");
                event.target.addClassName("ot-icon-password_show");
            } else {
                ref.setAttribute('type', 'password');
                event.target.removeClassName("ot-icon-password_show");
                event.target.addClassName("ot-icon-password_hide");
            }
        };

    }]);