/*
 * Task Nature
 */
'use strict';

angular.module('workflowModeler').controller('WorkflowTasknatureCtrl', [ '$scope', '$modal', function($scope, $modal) {

    // Config for the modal window
    var opts = {
        template:  'editor-app/configuration/properties/tasknature-popup.html',
        scope: $scope
    };

    // Open the dialog
    _internalCreateModal(opts, $modal, $scope);
}]);

angular.module('workflowModeler').controller('WorkflowTasknaturePopupCtrl',
    [ '$rootScope', '$scope', '$translate', '$http', 'editorManager', function($rootScope, $scope, $translate, $http, editorManager) {

    var modelDefinitionData = editorManager.getJSON();

    $scope.allUserTasksNames = [];
    $scope.selectedSingleTaskNature = '';
    $scope.deliveryType = '';
    var createAllUserTasksData = function() {
        var childShapes = modelDefinitionData.childShapes;
        for(var i = 0; i < childShapes.length; i++) {
            if(childShapes[i].stencil.id == "UserTask" && childShapes[i].resourceId != $scope.selectedShape.resourceId) {
                var resourceId = childShapes[i].properties.overrideid != "" ? childShapes[i].properties.overrideid : childShapes[i].resourceId;
                $scope.allUserTasksNames.push({"name":childShapes[i].properties.name, "resourceId": resourceId, "isSelected":false});
            }
        }
    };
    createAllUserTasksData();

    if($scope.property.value){
        $scope.deliveryType = $scope.property.value.deliveryType;
        for(var j = 0; j< $scope.allUserTasksNames.length; j++){
            if($scope.allUserTasksNames[j].resourceId == $scope.property.value.linkedTask[0]){
                $scope.allUserTasksNames[j].isSelected = true;
                $scope.prevSelectedTaskNature = $scope.allUserTasksNames[j];
                $scope.selectedSingleTaskNature = $scope.property.value.linkedTask[0];
            }
        }
    }

    // Config for grid
    $scope.gridOptions = {
        data: $scope.allUserTasksNames,
        headerRowHeight: 28,
        showHeader: false,
        enableRowSelection: false,
        enableRowHeaderSelection: false,
        multiSelect: false,
        modifierKeysToMultiSelect: false,
        enableHorizontalScrollbar: 0,
		enableColumnMenus: false,
		enableSorting: false,
        columnDefs: [{ field: 'selectItem', displayName: '', width: 80, cellTemplate: '<input type="radio" name="selectItem" ng-model="row.entity.isSelected" ng-checked="row.entity.isSelected == true" ng-click="grid.appScope.taskNatureSingleSelection($event, row)"/>'},
            { field: 'name', displayName: '', cellTemplate: '<div class="ui-grid-cell-contents">{{row.entity.name | translate}}</div>'}]
    };

    $scope.taskNatureSingleSelection = function (event,row) {
        $scope.selectedSingleTaskNature = row.entity.resourceId;
        $scope.prevSelectedTaskNature = row.entity;
    };

    $scope.gridOptions.onRegisterApi = function(gridApi) {
        //set gridApi on scope
        $scope.gridApi = gridApi;
    };

    $scope.save = function () {
        if($scope.selectedSingleTaskNature) {
            if($scope.deliveryType !== ''){
                $scope.property.value = {};
                $scope.property.value.deliveryType = $scope.deliveryType;
                $scope.property.value.linkedTask = [$scope.selectedSingleTaskNature]; 
            } else {
                $scope.property.value = "";
            }
            $scope.updatePropertyInModel($scope.property);
            $scope.close();
        }
    };

    $scope.disabled = function() {
        if($scope.selectedSingleTaskNature == '' && $scope.deliveryType == '' ||
            $scope.selectedSingleTaskNature == '' && $scope.deliveryType != '') {
            return  true;
        }
        return false;
    }

    $scope.changeTaskNature = function() {
        if($scope.deliveryType =="") {
            $scope.prevSelectedTaskNature.isSelected = false;
        }
    }

    // Close button handler
    $scope.close = function() {
        $scope.property.mode = 'read';
        $scope.$hide();
    };
        // Key press handler for close button
        $scope.closeOnKeyPress = function (event) {
            if (event.keyCode == 13 || event.keyCode == 32) {
                $scope.close();
            }
        };
}]);
