/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

WORKFLOW.TOOLBAR_CONFIG = {
    "items": [
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.EXPORT",
            "cssClass": "ot-icon-action_export",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.exportModel",
            "ariaLabel": "Export Model"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.IMPORT",
            "cssClass": "ot-icon-action_import",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.importProcess",
            "ariaLabel": "Import Process"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.VALIDATE",
            "cssClass": "ot-icon-action_validate",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.validate",
            "ariaLabel": "Validate"
        },
        {
            "type": "separator",
            "title": "",
            "cssClass": "toolbar-separator",
            "separatorPosition": "editSeparator",
            "ariaLabel": "Separator"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.CUT",
            "cssClass": "ot-icon-action_cut",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.cut",
            "enabled": false,
            "enabledAction": "element",
            "ariaLabel": "Cut"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.COPY",
            "cssClass": "ot-icon-action_copy",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.copy",
            "enabled": false,
            "enabledAction": "element",
            "ariaLabel": "Copy"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.PASTE",
            "cssClass": "ot-icon-action_paste",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.paste",
            "enabled": false,
            "ariaLabel": "Paste"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.DELETE",
            "cssClass": "ot-icon-action_delete",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.deleteItem",
            "enabled": false,
            "enabledAction": "element",
            "ariaLabel": "Delete"
        },
        {
            "type": "separator",
            "title": "TOOLBAR.ACTION.SAVE",
            "cssClass": "toolbar-separator",
            "separatorPosition": "rollbakSeparator",
            "ariaLabel": "Separator"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.REDO",
            "cssClass": "ot-icon-action_redo",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.redo",
            "enabled": false,
            "ariaLabel": "Redo"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.UNDO",
            "cssClass": "ot-icon-action_undo",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.undo",
            "enabled": false,
            "ariaLabel": "Undo"
        },
        {
            "type": "separator",
            "title": "TOOLBAR.ACTION.SAVE",
            "cssClass": "toolbar-separator",
            "separatorPosition": "alignmentSeparator",
            "ariaLabel": "Save"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ALIGNVERTICAL",
            "cssClass": "ot-icon-action_align_vr_center",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.alignVertical",
            "enabled": false,
            "enabledAction": "element",
            "disableInForm": true,
            "minSelectionCount": 2,
            "ariaLabel": "Align Vertical"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ALIGNHORIZONTAL",
            "cssClass": "ot-icon-action_align_hr_center",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.alignHorizontal",
            "enabledAction": "element",
            "enabled": false,
            "disableInForm": true,
            "minSelectionCount": 2,
            "ariaLabel": "Align Horizontal"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.SAMESIZE",
            "cssClass": "ot-icon-action_same_size",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.sameSize",
            "enabledAction": "element",
            "enabled": false,
            "disableInForm": true,
            "minSelectionCount": 2,
            "ariaLabel": "Same Size"
        },
        {
            "type": "separator",
            "title": "TOOLBAR.ACTION.SAVE",
            "cssClass": "toolbar-separator",
            "disableInForm": true,
            "separatorPosition": "zoomSeparator",
            "ariaLabel": "Separator"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ZOOMIN",
            "cssClass": "ot-icon-action_zoom_in",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.zoomIn",
            "ariaLabel": "Zoom In"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ZOOMOUT",
            "cssClass": "ot-icon-action_zoom_out",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.zoomOut",
            "ariaLabel": "Zoom Out"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ZOOMACTUAL",
            "cssClass": "ot-icon-action_zoom_actual_size",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.zoomActual",
            "ariaLabel": "Zoom Actual"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.ZOOMFIT",
            "cssClass": "ot-icon-action_zoom_fit",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.zoomFit",
            "ariaLabel": "Zoom Fit"
        },
        {
            "type": "separator",
            "title": "TOOLBAR.ACTION.SAVE",
            "cssClass": "toolbar-separator",
            "disableInForm": true,
            "separatorPosition": "bendpointSeparator",
            "ariaLabel": "Save"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.BENDPOINT.ADD",
            "cssClass": "ot-icon-action_add_bendpoint",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.addBendPoint",
            "id": "add-bendpoint-button",
            "disableInForm": true,
            "ariaLabel": "Add"
        },
        {
            "type": "button",
            "title": "TOOLBAR.ACTION.BENDPOINT.REMOVE",
            "cssClass": "ot-icon-action_remove_bendpoint",
            "action": "WORKFLOW.TOOLBAR.ACTIONS.removeBendPoint",
            "id": "remove-bendpoint-button",
            "disableInForm": true,
            "ariaLabel": "Remove"
        }, {
            "type": "separator",
            "title": "",
            "cssClass": "toolbar-separator",
            "separatorPosition": "helpSeparator",
            "ariaLabel": "Separator"
        }, {
            "type": "help",
            "title": "Help",
            "cssClass": "ot-icon-help",
            "id": "help-button",
            "ariaLabel": "Help",
            "helpLinkLabel": "Workflow Modeler"
        }
    ],

    "secondaryItems": [
        {
            "type": "button",
            "title": "Toggle side panels",
            "cssClass": "ot-icon-action_accept",
            "id": "editor-toggle-button"
        }
    ]
};