require('jquery-ui/ui/core');
require('jquery-ui/ui/widgets/draggable');
require('jquery-ui/ui/widgets/droppable');
require('./editor-app/libs/jquery.autogrow-textarea');
require('./libs/bootstrap_3.4.1/js/bootstrap.min');

//load angular files
require("angular-animate/angular-animate");
require("./libs/angular-cookies_1.3.13/angular-cookies");
require("./libs/angular-sanitize_1.3.13/angular-sanitize.min");
require("./libs/angular-translate_2.18.2/angular-translate.min");
require("./libs/angular-strap_2.3.12/angular-strap");
require("./libs/angular-strap_2.3.12/angular-strap.tpl.min");
// Needs to ovveride the loader
require("!!imports-loader?angular=angular!angular-ui-grid/ui-grid");
require("./libs/angular-dragdrop_1.0.11/angular-dragdrop");
require("./libs/ng-file-upload/ng-file-upload-shim.min.js");
require("./libs/ng-file-upload/ng-file-upload.min.js");
require("./libs/angular-scroll_0.5.7/angular-scroll.min");
require('./libs/angular-drag-and-drop-lists_1.2.0/angular-drag-and-drop-lists');
require('./editor-app/libs/ui-utils.min-0.2.1.js');

/**
 * Loading the Editor app libs
 */
//Loading prototype-js
require('./libs/html2canvas_0.4.1/html2canvas');
require('!!script-loader!./editor-app/libs/prototype-1.7.3');
require('!!imports-loader?ORYX=ORYX!./editor-app/editor/i18n/translation_en_us.js');
require('!!imports-loader?this=>window,jQuery=jquery,ORYX=ORYX,PathParser=PathParser!./editor-app/editor/oryx.debug');
/**
 * Loading Application filer
 */
require('./scripts/app-cfg');
require('./scripts/app');
require('./scripts/editor-directives');
require('./scripts/common/directives');
require('./scripts/services/form-services');
require('./scripts/default-workflow');
require('./editor-app/eventbus');
require("./editor-app/editor-controller");
require("./editor-app/stencil-controller");
require("./editor-app/toolbar-controller");
require("./editor-app/header-controller");
require("./editor-app/select-shape-controller");
require("./editor-app/define-data-controller");
require("./editor-app/process-navigator-controller");
require("./editor-app/editormanager");
require("./editor-app/editor-utils");
require("./editor-app/configuration/toolbar-default-actions");
//Editor configuration controllers
require("./editor-app/configuration/properties-data-properties-controller");
require("./editor-app/configuration/properties-default-controllers");
require("./editor-app/configuration/properties-execution-listeners-controller");
require("./editor-app/configuration/properties-event-listeners-controller");
require("./editor-app/configuration/properties-assignment-controller");
require("./editor-app/configuration/properties-fields-controller");
require("./editor-app/configuration/properties-exceptions-controller");
require("./editor-app/configuration/properties-form-properties-controller");
require("./editor-app/configuration/properties-in-parameters-controller");
require("./editor-app/configuration/properties-calledelementtype-controller");
require("./editor-app/configuration/properties-multiinstance-controller");
require("./editor-app/configuration/properties-process-historylevel-controller");
require("./editor-app/configuration/properties-ordering-controller");
require("./editor-app/configuration/properties-out-parameters-controller");
require("./editor-app/configuration/properties-task-listeners-controller");
require("./editor-app/configuration/properties-sequenceflow-order-controller");
require("./editor-app/configuration/properties-condition-expression-controller");
require("./editor-app/configuration/properties-signal-definitions-controller");
require("./editor-app/configuration/properties-signal-scope-controller");
require("./editor-app/configuration/properties-message-definitions-controller");
require("./editor-app/configuration/properties-message-scope-controller");
require("./editor-app/configuration/properties-escalation-definitions-controller");
require("./editor-app/configuration/properties-escalation-scope-controller");
require("./editor-app/configuration/properties-duedate-controller");
require("./editor-app/configuration/properties-decisiontable-reference-controller");
require("./editor-app/configuration/properties-case-reference-controller");
require("./editor-app/configuration/properties-process-reference-controller");
require("./editor-app/configuration/properties-transition-event-controller");
require("./editor-app/configuration/properties-trigger-mode-controller");
require("./editor-app/configuration/properties-planitem-dropdown-controller");
require("./editor-app/configuration/properties-plan-item-lifecycle-listeners-controller");
require("./editor-app/configuration/properties-httprequest-controller");
require("./editor-app/configuration/properties-event-out-parameters-controller.js");
require("./editor-app/configuration/properties-event-correlation-parameters-controller");
require("./editor-app/configuration/properties-event-in-parameters-controller");
require("./editor-app/configuration/properties-event-channel-type-controller");
require("./editor-app/configuration/properties-tasknature-controller");
require("./editor-app/editor-config");
require("./editor-app/configuration/url-config");
require("./editor-app/configuration/toolbar");
require("./editor-app/configuration/toolbar-custom-actions");
require("./editor-app/configuration/properties");
require("./editor-app/configuration/properties-custom-controllers");
require("./editor-app/configuration/workflow-header-custom");
require("./editor-app/configuration/workflow-toolbar-custom-actions");
require("./editor-app/configuration/properties-category-operation-controller");
require("./editor-app/configuration/properties-category-controller");
require("./editor-app/configuration/properties-signature-controller");
// Loading root web component files
require("./editor-app/configuration/properties-oauth2-details-controller");
window.WORKFLOW = WORKFLOW;
require('./root');