'use strict';
import en from '../i18n/en.json';
var workflowModeler = angular.module('workflowModeler', [
  'ngDragDrop',
  'ngAnimate',
  'ngFileUpload',
  'pascalprecht.translate',
  'mgcrea.ngStrap',
  'mgcrea.ngStrap.helpers.dimensions',
  'ui.grid',
  'ui.grid.edit',
  'ui.grid.selection',
  'ui.grid.autoResize',
  'ui.grid.moveColumns',
  'ui.grid.cellNav'
]);
window.workflowModeler = workflowModeler;
workflowModeler
  .config(['$provide', '$translateProvider',
    function ($provide, $translateProvider) {

      $translateProvider.translations('en', en)
        .useSanitizeValueStrategy('escapeParameters')
        .uniformLanguageTag('bcp47');
    }]).run(['$translate', '$http',  '$templateCache', '$rootScope',  "$modal", "$q", "editorManager",
      function ($translate, $http, $templateCache, $rootScope, $modal, $q, editorManager) {
        // set angular translate fallback language
        $rootScope.hideEditor = true;
        $rootScope.$watch('importedModel', function (newValue, oldValue) {
          if (newValue !== oldValue) {
            $rootScope.hideEditor = true;
            //after the stencilset is loaded we make sure the plugins.xml is loaded.
            setTimeout(function () {
              $rootScope.$apply(function () {
                $rootScope.hideEditor = false;
              });
            })
          }
        });
        $translate.fallbackLanguage(['en']);
        $translate.use('en');
        $rootScope.getRootHeaders = function() {
          if ($rootScope.headers) {
              return angular.copy($rootScope.headers);
          }
          return {};
       }
       $rootScope.showErrorInfo = function (errorData) {
        // Default behaviour
        var $scope = $rootScope.$new();
        $scope.errorData = errorData;
        var services = {
          $scope: $scope,
          $rootScope: $rootScope,
          $http: $http,
          $modal: $modal,
          $q: $q,
          $translate: $translate,
          editorManager: editorManager,
        };
        
        _internalCreateModal(
          {
            backdrop: true,
            keyboard: true,
            template: "editor-app/popups/validate-model.html",
            scope: services.$scope,
          },
          services.$modal,
          services.$scope
        );
      };
       
      }]);
/**
 * Don't remove below comments its needed 
 */
//@require "../editor-app/configuration/properties/*.html"
//@require "../editor-app/partials/*.html"
//@require "../editor-app/popups/*.html"
